## fbasics 200.10058

=== DESCRIPTION ===
Package: fBasics
Version: 200.10058
Date: 1996 - 2004
Title: Financial Software Collection - fBasics
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 1.9.0), methods
Maintainer: Diethelm Wuertz <wuertz@itp.phys.ethz.ch>
Description: fBasics Library from Rmetrics -
	Rmetrics is an Environment and 
	Software Collection for teaching
	"Financial Engineering and Computational Finance"
License: GPL Version 2 or later
URL: http://www.itp.phys.ethz.ch/econophysics/R/2.0
Packaged: Tue Oct 12 21:50:58 2004; myself

## fbasics 201.10060

=== DESCRIPTION ===
Package: fBasics
Version: 201.10060
Date: 1996 - 2005
Title: Financial Software Collection - fBasics
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 1.9.0), methods
Maintainer: Diethelm Wuertz <wuertz@itp.phys.ethz.ch>
Description: fBasics from Rmetrics -
	Rmetrics is an Environment and 
	Software Collection for teaching
	"Financial Engineering and Computational Finance"
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon May 16 17:09:34 2005; myself

## fbasics 221.10065

=== DESCRIPTION ===
Package: fBasics
Version: 221.10065
Date: 1996 - 2006
Title: Rmetrics - Marketes and Basic Statistics
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 1.9.0), methods
Maintainer: Diethelm Wuertz <wuertz@itp.phys.ethz.ch>
Description: Environment for teaching "Financial Engineering and Computational Finance"
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Feb 20 14:44:54 2006; myself

## fbasics 260.72

=== DESCRIPTION ===
Package: fBasics
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Markets and Basic Statistics
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), fImport
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Oct  8 14:07:44 2007; myself

## fbasics 280.74

=== DESCRIPTION ===
Package: fBasics
Version: 280.74
Date: 1997 - 2008
Title: Rmetrics - Markets and Basic Statistics
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.6.0), MASS, methods, timeDate, timeSeries
Suggests: akima, spatial, RUnit, tcltk
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: Mon Oct 27 15:25:09 2008; yankee

## fbasics 3010.86

=== DESCRIPTION ===
Package: fBasics
Version: 3010.86
Revision: 5503
Date: 2013-04-30
Title: Rmetrics - Markets and Basic Statistics
Author: Diethelm Wuertz and Rmetrics core team members, uses code
        builtin from the following R contributed packages: gmm from
        Pierre Chauss, gld from Robert King, gss from Chong Gu, nortest
        from Juergen Gross, HyperbolicDist from David Scott, sandwich
        from Thomas Lumley and Achim Zeileis, fortran/C code from
        Kersti Aas and akima (0.5-1: R code under GPL) from Albrecht
        Gebhardt
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Depends: stats, MASS, methods, timeDate, timeSeries (>= 2100.84)
Imports: stabledist, gss
Suggests: akima, spatial, RUnit, tcltk
Description: Environment for teaching "Financial Engineering and
        Computational Finance" NOTE: SEVERAL PARTS ARE STILL
        PRELIMINARY AND MAY BE CHANGED IN THE FUTURE. THIS TYPICALLY
        INCLUDES FUNCTION AND ARGUMENT NAMES, AS WELL AS DEFAULTS FOR
        ARGUMENTS AND RETURN VALUES. Please donate, www.rmetrics.org,
        to support future activities of the Rmetrics association.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-04-30 20:02:52 UTC; yankee
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-05-01 07:40:45

## fbasics 3011.87

=== DESCRIPTION ===
Package: fBasics
Title: Rmetrics - Markets and Basic Statistics
Date: 2014-10-29
Version: 3011.87
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
	"Financial Engineering and Computational Finance".
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: gss, stabledist, MASS
Suggests: methods, spatial, RUnit, tcltk, akima
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
Packaged: 2014-10-29 17:34:48 UTC; Tobi
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-10-29 20:07:26

## fbasics 3042.89

=== inst/unitTests/Makefile ===
PKG=fBasics
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

=== debian/changelog ===
fbasics (3042.89-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

  * debian/rules: Turn off byte-compilation 		(Closes: #900756)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Jun 2018 20:23:10 -0500

fbasics (3042.89-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

  * debian/control: Added (Build-)Depends: r-cran-spatial

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Nov 2017 09:30:29 -0600

fbasics (3011.87-3) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Jun 2017 12:16:24 -0500

fbasics (3011.87-2) unstable; urgency=low

  * debian/control: In Build-Depends, replace r-cran-vr with r-cran-mass
  							(Closes: #784849)
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 May 2015 10:16:04 -0500

fbasics (3011.87-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Oct 2014 17:12:47 -0500

fbasics (3010.86-1) unstable; urgency=low

  * New upstream release 
  
  * debian/control: New (Build-)Depends: on r-cran-gss as upstream package
    now imports package gss

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 May 2013 14:37:45 -0500

fbasics (2160.85-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 12:11:30 -0500

fbasics (2160.85-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Sep 2012 14:43:07 -0500

fbasics (2160.84-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Sep 2012 16:42:38 -0500

fbasics (2160.83-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Aug 2012 08:29:04 -0500

fbasics (2160.81-2) unstable; urgency=low

  * debian/control: Added (Build-)Depends on r-cran-stabledist

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Mar 2012 12:05:29 -0500

fbasics (2160.81-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Mar 2012 11:07:14 -0500

fbasics (2110.79-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Feb 2010 12:24:39 -0600

fbasics (2100.78-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 16:55:30 -0600

fbasics (2100.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Set Build-Depends: on r-cran-timeseries to (>= 2100.84)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Sep 2009 16:44:22 -0500

fbasics (2100.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: on r-cran-timeseries to (>= 2100.83)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Apr 2009 21:36:38 -0500

fbasics (290.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: on r-cran-timeseries to (>= 290.81)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Apr 2009 11:24:23 -0500

fbasics (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

  * debian/control: Switched to Architecture: any as the upstream sources 
    now contain compiled code as well
  * debian/control: Changed Build-Depends-Indep: to Build-Depends:
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Jan 2009 19:06:09 -0600

fbasics (280.74-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 20:17:14 -0500

fbasics (280.73-1) unstable; urgency=low

  * New upstream release

  * debian/control: Add (Build-)Depends: on new packages r-cran-timedate 
    and r-cran-timeseries (split off from r-cran-fcalendar) and r-cran-vr

  * debian/control: Updated Suggests:
 
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Oct 2008 10:48:07 -0500

fbasics (260.72-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fimport (>= 260.72)


=== debian/control ===
Source: fbasics
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git
Homepage: https://cran.r-project.org/package=fBasics

Package: r-cran-fbasics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, r-cran-spatial
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fBasics 
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fBasics provides basic statistical tests, distributions and other tools 
 used by many of the Rmetrics packages.

## fbasics 3042.89.1

=== DESCRIPTION ===
Package: fBasics
Title: Rmetrics - Markets and Basic Statistics
Date: 2017-11-12
Version: 3042.89.1
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
	Martin Maechler [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a collection of functions to 
    explore and to investigate basic properties of financial returns 
    and related quantities.
    The covered fields include techniques of explorative data analysis
    and the investigation of distributional properties, including
    parameter estimation and hypothesis testing. Even more there are
    several utility functions for data handling and management.
Depends: R (>= 2.15.1), timeDate, timeSeries
Imports: stats, grDevices, graphics, methods, utils, MASS, spatial,
        gss, stabledist
ImportsNote: akima not in Imports because of non-GPL licence.
Suggests: akima, RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
Encoding: UTF-8
URL: https://www.rmetrics.org
NeedsCompilation: yes
Packaged: 2020-03-07 10:25:14 UTC; hornik
Repository: CRAN
Date/Publication: 2020-03-07 11:06:10 UTC

=== debian/changelog ===
fbasics (3042.89.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Mar 2020 07:49:52 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.3), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git
 Homepage: https://cran.r-project.org/package=fBasics

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fbasics package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	RExtraInstallFlags="--no-byte-compile" dh $@ --buildsystem R

## fbasics 4021.92

=== debian/changelog ===
fbasics (4021.92-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Aug 2022 07:34:39 -0500

fbasics (3042.89.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jun 2022 11:11:41 -0500

## fbasics 4021.93

=== DESCRIPTION ===
Package: fBasics
Title: Rmetrics - Markets and Basic Statistics
Date: 2022-10-20
Version: 4021.93
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch", comment = c(ORCID = "0000-0002-8685-9910"))
	   , person("CRAN Team", role = "ctb")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "ctb"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: Provides a collection of functions to 
    explore and to investigate basic properties of financial returns 
    and related quantities.
    The covered fields include techniques of explorative data analysis
    and the investigation of distributional properties, including
    parameter estimation and hypothesis testing. Even more there are
    several utility functions for data handling and management.
Depends: R (>= 2.15.1)
Imports: timeDate, timeSeries, stats, grDevices, graphics, methods,
        utils, MASS, spatial, gss, stabledist
Suggests: interp, RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
Encoding: UTF-8
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/fBasics/?root=rmetrics
        (devel), https://www.rmetrics.org
        https://geobosh.github.io/fBasicsDoc/ (doc)
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: yes
Packaged: 2022-10-20 11:29:15 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>),
  CRAN Team [ctb],
  Georgi N. Boshnakov [cre, ctb]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2022-10-20 12:25:10 UTC

=== debian/changelog ===
fbasics (4021.93-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Oct 2022 08:25:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.3), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git
 Homepage: https://cran.r-project.org/package=fBasics

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fBasics_([-\d\.]*)\.tar.gz

## fbasics 4022.94

=== debian/changelog ===
fbasics (4022.94-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Mar 2023 08:50:15 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git
 Homepage: https://cran.r-project.org/package=fBasics

## fbasics 4032.96

=== DESCRIPTION ===
Package: fBasics
Title: Rmetrics - Markets and Basic Statistics
Version: 4032.96
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch", comment = c(ORCID = "0000-0002-8685-9910"))
	   , person("CRAN Team", role = "ctb")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "aut"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: Provides a collection of functions to 
    explore and to investigate basic properties of financial returns 
    and related quantities.
    The covered fields include techniques of explorative data analysis
    and the investigation of distributional properties, including
    parameter estimation and hypothesis testing. Even more there are
    several utility functions for data handling and management.
Depends: R (>= 2.15.1)
Imports: timeDate, timeSeries (>= 4021.105), stats, grDevices,
        graphics, methods, utils, MASS, spatial, gss, stabledist
Suggests: interp, RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
Encoding: UTF-8
URL: https://geobosh.github.io/fBasicsDoc/ (doc),
        https://r-forge.r-project.org/scm/viewvc.php/pkg/fBasics/?root=rmetrics
        (devel), https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: yes
Packaged: 2023-11-03 15:29:06 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>),
  CRAN Team [ctb],
  Georgi N. Boshnakov [cre, aut]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2023-11-03 16:10:02 UTC

=== debian/changelog ===
fbasics (4032.96-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Nov 2023 21:23:26 -0600

fbasics (4031.95-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Oct 2023 14:39:39 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git

## fbasics 4041.97

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: fBasics
 Title: Rmetrics - Markets and Basic Statistics
-Version: 4032.96
+Version: 4041.97
 Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
 	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
 	   , person("Yohan", "Chalabi", role = "aut")
@@ -27,7 +27,7 @@
         (devel), https://www.rmetrics.org
 BugReports: https://r-forge.r-project.org/projects/rmetrics
 NeedsCompilation: yes
-Packaged: 2023-11-03 15:29:06 UTC; georgi
+Packaged: 2024-08-18 18:37:43 UTC; georgi
 Author: Diethelm Wuertz [aut] (original code),
   Tobias Setz [aut],
   Yohan Chalabi [aut],
@@ -36,4 +36,4 @@
   Georgi N. Boshnakov [cre, aut]
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-11-03 16:10:02 UTC
+Date/Publication: 2024-08-19 10:00:02 UTC

=== debian/changelog ===
fbasics (4041.97-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Aug 2024 21:10:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git

## fbasics 4052.98

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: fBasics
 Title: Rmetrics - Markets and Basic Statistics
-Version: 4041.97
+Version: 4052.98
 Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
 	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
 	   , person("Yohan", "Chalabi", role = "aut")
-	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch", comment = c(ORCID = "0000-0002-8685-9910"))
+	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch",
+	            comment = c(ORCID = "0000-0002-8685-9910"))
 	   , person("CRAN Team", role = "ctb")
 	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
-                    role = c("cre", "aut"), email = "georgi.boshnakov@manchester.ac.uk") )
+                    role = c("cre", "aut"), email = "georgi.boshnakov@manchester.ac.uk",
+		    comment = c(ORCID = "0000-0003-2839-346X")) )
 Description: Provides a collection of functions to 
     explore and to investigate basic properties of financial returns 
     and related quantities.
@@ -27,13 +29,14 @@
         (devel), https://www.rmetrics.org
 BugReports: https://r-forge.r-project.org/projects/rmetrics
 NeedsCompilation: yes
-Packaged: 2024-08-18 18:37:43 UTC; georgi
+Packaged: 2025-12-06 16:23:51 UTC; georgi
 Author: Diethelm Wuertz [aut] (original code),
   Tobias Setz [aut],
   Yohan Chalabi [aut],
-  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>),
+  Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>),
   CRAN Team [ctb],
-  Georgi N. Boshnakov [cre, aut]
+  Georgi N. Boshnakov [cre, aut] (ORCID:
+    <https://orcid.org/0000-0003-2839-346X>)
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2024-08-19 10:00:02 UTC
+Date/Publication: 2025-12-07 06:40:07 UTC

=== debian/changelog ===
fbasics (4052.98-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Dec 2025 07:41:59 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries (>= 2100.84), r-cran-stabledist, xvfb, xauth, xfonts-base, r-cran-gss, r-cran-spatial
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fbasics
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fbasics.git
 Homepage: https://cran.r-project.org/package=fBasics
